GDCM 2.2.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions
gdcm::DataEvent Class Reference

DataEvent. More...

`#include <gdcmDataEvent.h>`

Inheritance diagram for gdcm::DataEvent:
[legend]
Collaboration diagram for gdcm::DataEvent:
[legend]

List of all members.

## Public Types

typedef DataEvent | Self
typedef AnyEvent | Superclass

## Public Member Functions

| DataEvent (const char *bytes=0, size_t len=0)
| DataEvent (const Self &s)
virtual | ~DataEvent ()
virtual bool | CheckEvent (const ::gdcm::Event *e) const
const char * | GetData () const
size_t | GetDataLength () const
virtual const char * | GetEventName () const
virtual ::gdcm::Event * | MakeObject () const
void | SetData (const char *bytes, size_t len)

## Detailed Description

DataEvent.

## Member Typedef Documentation

typedef DataEvent gdcm::DataEvent::Self

typedef AnyEvent gdcm::DataEvent::Superclass

## Constructor & Destructor Documentation

gdcm::DataEvent::DataEvent | ( | const char * | bytes = `0`,
|  | size_t | len = `0`
| ) |  | `[inline]`

virtual gdcm::DataEvent::~DataEvent | ( |  | ) | `[inline, virtual]`

gdcm::DataEvent::DataEvent | ( | const Self & | s | ) | `[inline]`

## Member Function Documentation

virtual bool gdcm::DataEvent::CheckEvent | ( | const ::gdcm::Event * | e | ) | const`[inline, virtual]`

const char* gdcm::DataEvent::GetData | ( |  | ) | const`[inline]`

size_t gdcm::DataEvent::GetDataLength | ( |  | ) | const`[inline]`

virtual const char* gdcm::DataEvent::GetEventName | ( |  | ) | const`[inline, virtual]`

Return the StringName associated with the event.

Implements gdcm::Event.

virtual ::gdcm::Event* gdcm::DataEvent::MakeObject | ( |  | ) | const`[inline, virtual]`

Create an Event of this type This method work as a Factory for creating events of each particular type.

Implements gdcm::Event.

void gdcm::DataEvent::SetData | ( | const char * | bytes,
|  | size_t | len
| ) |  | `[inline]`

The documentation for this class was generated from the following file:

- gdcmDataEvent.h